## r-cran-spatstat.sparse 1.2

=== DESCRIPTION ===
Package: spatstat.sparse
Version: 1.2-1
Date: 2021-02-06
Title: Sparse Three-Dimensional Arrays and Linear Algebra Utilities
Authors@R: c(person("Adrian", "Baddeley", 
                    role = c("aut", "cre", "cph"),
       	            email = "Adrian.Baddeley@curtin.edu.au",
		    comment = c(ORCID="0000-0001-9499-8382")),
	     person("Rolf", "Turner", 
                    role = c("aut", "cph"),
 	            email="r.turner@auckland.ac.nz",
		    comment=c(ORCID="0000-0001-5521-5218")),
	    person("Ege",   "Rubak", 
                    role = c("aut", "cph"),
		    email = "rubak@math.aau.dk",
		    comment=c(ORCID="0000-0002-6675-533X")))
Maintainer: Adrian Baddeley <Adrian.Baddeley@curtin.edu.au>
Depends: R (>= 3.3.0), stats, utils, methods, Matrix, abind, tensor
Imports: spatstat.utils (>= 1.17-0)
Description: Defines sparse three-dimensional arrays
	     and supports standard operations on them.
	     The package also includes utility functions for
	     matrix calculations that are common in
	     statistics, such as quadratic forms.
License: GPL (>= 2)
URL: http://spatstat.org/
LazyData: no
NeedsCompilation: yes
ByteCompile: true
BugReports: https://github.com/spatstat/spatstat.sparse/issues
Packaged: 2021-02-06 06:23:34 UTC; adrian
Author: Adrian Baddeley [aut, cre, cph]
    (<https://orcid.org/0000-0001-9499-8382>),
  Rolf Turner [aut, cph] (<https://orcid.org/0000-0001-5521-5218>),
  Ege Rubak [aut, cph] (<https://orcid.org/0000-0002-6675-533X>)
Repository: CRAN
Date/Publication: 2021-02-06 06:50:02 UTC

## r-cran-spatstat.sparse 1.2-1

=== debian/changelog ===
r-cran-spatstat.sparse (1.2-1-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Sun, 07 Feb 2021 12:02:53 +0100

r-cran-spatstat.sparse (1.2-0-1) unstable; urgency=medium

  * Initial release (closes: #981694)

 -- Andreas Tille <tille@debian.org>  Tue, 02 Feb 2021 23:33:12 +0100

=== debian/control ===
Source: r-cran-spatstat.sparse
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-matrix,
               r-cran-abind,
               r-cran-tensor,
               r-cran-spatstat.utils (>= 1.17-0)
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.sparse
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.sparse.git
Homepage: https://cran.r-project.org/package=spatstat.sparse
Rules-Requires-Root: no

Package: r-cran-spatstat.sparse
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R sparse three-dimensional arrays and linear algebra utilities
 Defines sparse three-dimensional arrays and supports standard operations
 on them. The package also includes utility functions for matrix
 calculations that are common in statistics, such as quadratic forms.

## r-cran-spatstat.sparse 2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: spatstat.sparse
-Version: 1.2-1
-Date: 2021-02-06
+Version: 2.1-0
+Date: 2021-12-17
 Title: Sparse Three-Dimensional Arrays and Linear Algebra Utilities
 Authors@R: c(person("Adrian", "Baddeley", 
                     role = c("aut", "cre", "cph"),
@@ -15,8 +15,8 @@
 		    email = "rubak@math.aau.dk",
 		    comment=c(ORCID="0000-0002-6675-533X")))
 Maintainer: Adrian Baddeley <Adrian.Baddeley@curtin.edu.au>
-Depends: R (>= 3.3.0), stats, utils, methods, Matrix, abind, tensor
-Imports: spatstat.utils (>= 1.17-0)
+Depends: R (>= 3.5.0), stats, utils, methods, Matrix, abind, tensor
+Imports: spatstat.utils (>= 2.1-0)
 Description: Defines sparse three-dimensional arrays
 	     and supports standard operations on them.
 	     The package also includes utility functions for
@@ -24,14 +24,13 @@
 	     statistics, such as quadratic forms.
 License: GPL (>= 2)
 URL: http://spatstat.org/
-LazyData: no
 NeedsCompilation: yes
 ByteCompile: true
 BugReports: https://github.com/spatstat/spatstat.sparse/issues
-Packaged: 2021-02-06 06:23:34 UTC; adrian
+Packaged: 2021-12-17 01:39:03 UTC; adrian
 Author: Adrian Baddeley [aut, cre, cph]
     (<https://orcid.org/0000-0001-9499-8382>),
   Rolf Turner [aut, cph] (<https://orcid.org/0000-0001-5521-5218>),
   Ege Rubak [aut, cph] (<https://orcid.org/0000-0002-6675-533X>)
 Repository: CRAN
-Date/Publication: 2021-02-06 06:50:02 UTC
+Date/Publication: 2021-12-17 03:40:02 UTC

## r-cran-spatstat.sparse 2.1-0

=== debian/changelog ===
r-cran-spatstat.sparse (2.1-0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 03 Jan 2022 20:42:40 +0100

r-cran-spatstat.sparse (2.0-0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 17 Aug 2021 18:36:14 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                r-cran-matrix,
                r-cran-abind,
                r-cran-tensor,
-               r-cran-spatstat.utils (>= 1.17-0)
-Standards-Version: 4.5.1
+               r-cran-spatstat.utils (>= 2.1-0)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.sparse
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.sparse.git
 Homepage: https://cran.r-project.org/package=spatstat.sparse

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/spatstat.sparse_([-\d.]*)\.tar\.gz

## r-cran-spatstat.sparse 2.1-1

=== debian/changelog ===
r-cran-spatstat.sparse (2.1-1-1) unstable; urgency=medium

  * lintian-overrides library-not-linked-against-libc
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 25 May 2022 11:45:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-cran-spatstat.sparse
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.sparse
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.sparse.git
+Homepage: https://cran.r-project.org/package=spatstat.sparse
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -11,11 +15,7 @@
                r-cran-abind,
                r-cran-tensor,
                r-cran-spatstat.utils (>= 2.1-0)
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.sparse
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.sparse.git
-Homepage: https://cran.r-project.org/package=spatstat.sparse
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-spatstat.sparse
 Architecture: any

## r-cran-spatstat.sparse 3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: spatstat.sparse
-Version: 2.1-0
-Date: 2021-12-17
+Version: 3.0-0
+Date: 2022-10-19
 Title: Sparse Three-Dimensional Arrays and Linear Algebra Utilities
 Authors@R: c(person("Adrian", "Baddeley", 
                     role = c("aut", "cre", "cph"),
@@ -16,7 +16,8 @@
 		    comment=c(ORCID="0000-0002-6675-533X")))
 Maintainer: Adrian Baddeley <Adrian.Baddeley@curtin.edu.au>
 Depends: R (>= 3.5.0), stats, utils, methods, Matrix, abind, tensor
-Imports: spatstat.utils (>= 2.1-0)
+Imports: spatstat.utils (>= 3.0-0)
+Additional_repositories: https://spatstat.r-universe.dev
 Description: Defines sparse three-dimensional arrays
 	     and supports standard operations on them.
 	     The package also includes utility functions for
@@ -27,10 +28,10 @@
 NeedsCompilation: yes
 ByteCompile: true
 BugReports: https://github.com/spatstat/spatstat.sparse/issues
-Packaged: 2021-12-17 01:39:03 UTC; adrian
+Packaged: 2022-10-20 06:27:38 UTC; adrian
 Author: Adrian Baddeley [aut, cre, cph]
     (<https://orcid.org/0000-0001-9499-8382>),
   Rolf Turner [aut, cph] (<https://orcid.org/0000-0001-5521-5218>),
   Ege Rubak [aut, cph] (<https://orcid.org/0000-0002-6675-533X>)
 Repository: CRAN
-Date/Publication: 2021-12-17 03:40:02 UTC
+Date/Publication: 2022-10-21 12:40:02 UTC

## r-cran-spatstat.sparse 3.0-0

=== debian/changelog ===
r-cran-spatstat.sparse (3.0-0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Fix lintian-overrides

 -- Andreas Tille <tille@debian.org>  Thu, 03 Nov 2022 09:22:01 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                r-cran-matrix,
                r-cran-abind,
                r-cran-tensor,
-               r-cran-spatstat.utils (>= 2.1-0)
+               r-cran-spatstat.utils (>= 3.0-0)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-spatstat.sparse

## r-cran-spatstat.sparse 3.0-2

=== debian/changelog ===
r-cran-spatstat.sparse (3.0-2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 27 Jun 2023 16:55:42 +0200

## r-cran-spatstat.sparse 3.0-3

=== debian/changelog ===
r-cran-spatstat.sparse (3.0-3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 27 Oct 2023 11:57:41 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.sparse
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.sparse.git
 Homepage: https://cran.r-project.org/package=spatstat.sparse
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
@@ -14,7 +14,7 @@
                r-cran-matrix,
                r-cran-abind,
                r-cran-tensor,
-               r-cran-spatstat.utils (>= 3.0-0)
+               r-cran-spatstat.utils (>= 3.0-2)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-spatstat.sparse

## r-cran-spatstat.sparse 3.1

=== DESCRIPTION ===
Package: spatstat.sparse
Version: 3.1-0
Date: 2024-06-21
Title: Sparse Three-Dimensional Arrays and Linear Algebra Utilities
Authors@R: c(person("Adrian", "Baddeley", 
                    role = c("aut", "cre", "cph"),
       	            email = "Adrian.Baddeley@curtin.edu.au",
		    comment = c(ORCID="0000-0001-9499-8382")),
	     person("Rolf", "Turner", 
                    role = c("aut", "cph"),
 	            email="rolfturner@posteo.net",
		    comment=c(ORCID="0000-0001-5521-5218")),
	    person("Ege",   "Rubak", 
                    role = c("aut", "cph"),
		    email = "rubak@math.aau.dk",
		    comment=c(ORCID="0000-0002-6675-533X")))
Maintainer: Adrian Baddeley <Adrian.Baddeley@curtin.edu.au>
Depends: R (>= 3.5.0), stats, utils, methods, Matrix, abind, tensor
Imports: spatstat.utils (>= 3.0-5)
Description: Defines sparse three-dimensional arrays
	     and supports standard operations on them.
	     The package also includes utility functions for
	     matrix calculations that are common in
	     statistics, such as quadratic forms.
License: GPL (>= 2)
URL: http://spatstat.org/
NeedsCompilation: yes
ByteCompile: true
BugReports: https://github.com/spatstat/spatstat.sparse/issues
Packaged: 2024-06-21 03:13:38 UTC; adrian
Author: Adrian Baddeley [aut, cre, cph]
    (<https://orcid.org/0000-0001-9499-8382>),
  Rolf Turner [aut, cph] (<https://orcid.org/0000-0001-5521-5218>),
  Ege Rubak [aut, cph] (<https://orcid.org/0000-0002-6675-533X>)
Repository: CRAN
Date/Publication: 2024-06-21 04:40:17 UTC

## r-cran-spatstat.sparse 3.1-0

=== debian/changelog ===
r-cran-spatstat.sparse (3.1-0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 21 Jan 2025 09:59:36 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.sparse
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.sparse.git
 Homepage: https://cran.r-project.org/package=spatstat.sparse
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
@@ -14,7 +14,7 @@
                r-cran-matrix,
                r-cran-abind,
                r-cran-tensor,
-               r-cran-spatstat.utils (>= 3.0-2)
+               r-cran-spatstat.utils (>= 3.0-5)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-spatstat.sparse
